<div class="container-fluid">
  <div class="main-header" style="margin-top: 0px;">
    <div class="card card-new-ticket">
      <div class="card-header"><h5 class="card-header-text">Submit a ticket</h5></div>
        <div class="card-block">
          <div id="wizard">
            <%= form_for :ticket, url: tickets_path, html: {class: "wizard clearfix"} do |f| %>
              <fieldset id="example-advanced-form-p-0" role="tabpanel" aria-labelledby="  example-advanced-form-h-0" class="body current" aria-hidden="false">
                <%= f.error_messages %>

                <div class="form-group row">
                  <%= f.label :"name :", class: "col-xs-2 col-form-label form-control-label text-left"%>
                  <div class="col-sm-10">
                    <div class="md-input-wrapper">
                      <%= f.text_field :name, class: "md-form-control md-static", id: "example-text-input" %>
                      <span class="md-line"></span>
                    </div>
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :category, class: "col-xs-2 col-form-label form-control-label" %>
                  <div class="col-sm-4">
                    <%= f.select(:category, Ticket::CATEGORIES, {:prompt => 'select'}, {:class => "form-control", id: "example-text-input" }) %> 
                  </div>
                  <%= f.label :priority, class: "col-xs-2 col-form-label form-control-label text-right" %>
                  <div class="col-sm-4">
                    <%= f.select(:priority, Ticket::PRIORITIES, {:prompt => 'select'}, {:class => "form-control", id: "example-text-input" }) %> 
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :"subject :", class: "col-xs-2 col-form-label form-control-label text-left"%>
                  <div class="col-sm-10">
                    <div class="md-input-wrapper">
                      <%= f.text_field :subject, class: "md-form-control md-static", id: "example-text-input" %>
                      <span class="md-line"></span>
                    </div>
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :description, class: "col-xs-2 col-form-label form-control-label" %>
                  <div class="col-sm-10">
                    <%= f.hidden_field :description, class: "form-control trix-editor" %>
                    <trix-editor input="ticket_description" placeholder="Description" style="min-height: 150px;"></trix-editor>
                  </div>
                </div>

                <div class="form-group row">
                  <%= f.label :"expected closing date", class: "col-xs-2 col-form-label form-control-label" %>
                  <div class="col-sm-10">
                    <%= f.text_field :"expected_closing_date", id: "date", class: "form-control floating-label"%>
                  </div>
                </div>

                <div class="form-group row">
                  <div class="col-md-4">
                    <div class="md-group-add-on">
                      <span class="md-add-on-file">
                        <button class="btn btn-success waves-effect waves-light">Attach file</button>
                      </span>
                      <div class="md-input-file">
                        <%= f.file_field :attachment %>
                        <input type="text" class="md-form-control md-form-file">
                        <%= f.label :attachment, 'Upload a file', class: 'md-label-file' %>
                      </div>
                    </div>
                  </div>
                </div>

                <div style="text-align: center;">
                  <%= f.submit "Submit", class: "btn btn-info" %>
                  <%= link_to 'Cancel', tickets_path, class: "btn btn-info" %>
                </div>
                
              </fieldset>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
